Summary: Support for the https protocol under LWP
Name: perl-Crypt-SSLeay
Requires: perl 
Packager: Horms <horms@vergenet.net>
Version: 0.15
Release: 1
Copyright: As Perl:- Artistic License or GPL
Group: Development/Libraries/Perl
Source: ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Crypt/Crypt-SSLeay-%{version}.tar.gz
URL: ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Crypt/Crypt-SSLeay-%{version}.readme
BuildRoot: /var/tmp/%{name}-root
Provides: SSLeay.pm

%description 
This perl module provides support for the https protocol under LWP, so
that a LWP::UserAgent can make https GET & HEAD requests.

The Crypt::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on https requests, and provides the
necessary SSL glue for that module to work via these deprecated modules:

This product includes cryptographic software written by 
Eric Young (eay@cryptsoft.com)

%prep
%setup -n Crypt-SSLeay-%{version}

%build
echo | perl Makefile.PL
make

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install
find $RPM_BUILD_ROOT/usr -type f -print |\
  sed -e "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > file-list.lst

%clean
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT
rm -f file-list.lst


%files -f file-list.lst
%doc README

%changelog
* Mon Jan 10 2000 Horms <horms@vergenet.net>
- made for version 0.15
- Inspired by perl packages built by aliean
